Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
http_util.h File Reference
`#include <botan/types.h>`
`#include <botan/exceptn.h>`
`#include <vector>`
`#include <map>`
`#include <chrono>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | Botan::HTTP::HTTP_Error
struct | Botan::HTTP::Response

## Namespaces
| Botan
| Botan::HTTP

## Typedefs
typedef std::function< std::string(const std::string &, const std::string &)> | Botan::HTTP::http_exch_fn

## Functions
Response | Botan::HTTP::GET_sync (const std::string &url, size_t allowable_redirects)
Response | Botan::HTTP::http_sync (http_exch_fn http_transact, const std::string &verb, const std::string &url, const std::string &content_type, const std::vector< uint8_t > &body, size_t allowable_redirects)
Response | Botan::HTTP::http_sync (const std::string &verb, const std::string &url, const std::string &content_type, const std::vector< uint8_t > &body, size_t allowable_redirects)
std::ostream & | Botan::HTTP::operator<< (std::ostream &o, const Response &resp)
Response | Botan::HTTP::POST_sync (const std::string &url, const std::string &content_type, const std::vector< uint8_t > &body, size_t allowable_redirects)
std::string | Botan::HTTP::url_encode (const std::string &in)